# $Revision: 1.41 $, $Date: 2004/04/06 07:16:16 $
%define		_scriptver	1.1.2
Summary:	IP firewall and accounting administration tool
Summary(es):	Herramienta para administracin de reglas de firewall
Summary(pl):	Narzdzie do zarzdzania filtrem pakietw IP
Summary(pt_BR):	Ferramentas para gerenciamento de regras de firewall
Summary(ru):	      Linux
Summary(uk):	̦    Ʀ  Linux
Summary(zh_CN):	Linux IPv4ǽ
Name:		ipchains
Version:	1.3.10
Release:	19
License:	GPL
Group:		Applications/System
Source0:	http://www.netfilter.org/ipchains/%{name}-%{version}.tar.gz
# Source0-md5:	44b6df672a6e7bce8902dc67aef6b12a
#Source1:	http://netfilter.filewatcher.org/ipchains/%{name}-HOWTOs-1.0.7.tar.bz2
Source1:	%{name}-HOWTOs-1.0.7.tar.bz2
# Source1-md5:	f4548c7fb6cdfc1015012c8860a5856a
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	460a8227af67f289ac9868706cf89e54
Source3:	http://people.netfilter.org/~rusty/ipchains/%{name}-scripts-%{_scriptver}.tar.gz
# Source3-md5:	c8996aef5985bddf80844b12ae833781
Patch0:		%{name}-fixman.patch
Patch1:		%{name}-vlanallowing.patch
URL:		http://people.netfilter.org/~rusty/ipchains/
Provides:	firewall-userspace-tool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr
%define		_sbindir	/sbin

%description
This is the Linux IP Firewalling Chains accounting and administration
tool.

Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.2 and 2.3
kernels.

%description -l es
Herramienta para administracin de reglas de firewall.

%description -l pl
W jdrach 2.2.xxx/2.3 filtr IP zosta znacznie zmodyfikowany (i,
miejmy nadziej, ulepszony). Ipchains (zastpujc dawny ipfwadm) suy
do konfigurowania filtru oraz mechanizmw logowania przychodzcych
pakietw.

%description -l pt_BR
O ipchains do Linux  uma atualizao (e esperamos uma melhoria em
relao) ao cdigo normal de firewall do Linux, para os kernels 2.0,
2.1 e 2.2. Elas lhe permitem usar firewalls, mascaramento IP, etc.

%description -l ru
Linux IP Firewalling Chains -      
   Linux. Ipchains   firewall,
IP masquerading  ..

%description -l uk
Linux IP Firewalling Chains -   ¦ ̦  
 Ʀ  Linux. Ipchains  
firewall, IP masquerading  ..

%package -n libipfwc
Summary:	Library which manipulates firewall rules
Summary(pl):	Biblioteka do manipulacji reguami filtrowania
Version:	0.2
Group:		Development/Libraries

%description -n libipfwc
Library which manipulates firewall rules.

%description -n libipfwc -l pl
Biblioteka do manipulacji reguami filtrowania.

%prep
%setup -q -a1 -a3
%patch -p1
%patch1 -p1

%build
rm -f ipchains
%{__make} -C libipfwc clean
ln -sf %{name}-HOWTOs-1.0.7	doc

%{__make} \
	COPTS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/man{4,8}} \
	$RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

install ipchains	$RPM_BUILD_ROOT%{_sbindir}
install *.4		$RPM_BUILD_ROOT%{_mandir}/man4
install *.8		$RPM_BUILD_ROOT%{_mandir}/man8
install libipfwc/*.a	$RPM_BUILD_ROOT%{_libdir}
install libipfwc/*.h	$RPM_BUILD_ROOT%{_includedir}
cd %{name}-scripts-%{_scriptver}
install ipchains-restore	$RPM_BUILD_ROOT%{_sbindir}
install ipchains-save		$RPM_BUILD_ROOT%{_sbindir}
install ipfwadm-wrapper		$RPM_BUILD_ROOT%{_sbindir}
install *.8			$RPM_BUILD_ROOT%{_mandir}/man8

bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/HOWTO.txt README doc/*.html
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(it) %{_mandir}/it/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*

%files -n libipfwc
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: ipchains.spec,v $
Revision 1.41  2004/04/06 07:16:16  blues
- cosmetics

Revision 1.40  2004/04/06 07:15:07  blues
- release 19 - added scripts for ipchains. similar to iptables-save,
  iptables-restore

Revision 1.39  2003/12/01 00:33:36  undefine
- release 18 to rebuild with ac

Revision 1.38  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.37  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.36  2003/05/25 05:48:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/01/19 16:20:16  radek
- updated Source0 URL, removed Source1 URL (invalid)

Revision 1.34  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.33  2002/08/17 18:03:04  kloczek
- merge translations drom KSI and TurboLinux.

Revision 1.32  2002/08/14 17:18:35  jack
- %doc s/HOWTO.txt.gz/HOWTO.txt/

Revision 1.31  2002/04/25 16:37:01  arturs
fixed a small typo

Revision 1.30  2002/03/27 14:20:29  wojrus
- added Provides: firewall-userspace-tool

Revision 1.29  2002/03/07 18:27:48  kloczek
- removed (not used now) %patch2 from %prep.

Revision 1.28  2002/03/05 17:28:53  marcus
- added vlan allow patch
- removed uclibc stuff
- rel.16

Revision 1.27  2002/02/27 02:15:17  kloczek
- added CC="%%{__cc}" for build correctly also against uClibc.

Revision 1.26  2002/02/27 02:11:03  kloczek
- remove embeded subpackage (ipchans builds correctly against shared uClibc).

Revision 1.25  2002/02/26 22:43:48  kloczek
- release 15.

Revision 1.24  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/18 22:20:34  gotar
- %desc

Revision 1.22  2002/01/24 19:21:39  mkochano
- Release 14.
- Do not compress HTML documentation.

Revision 1.21  2002/01/21 17:36:41  malekith
- rel 13
- BOOT -> embed

Revision 1.20  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/27 00:26:14  ankry
- added es, it, ja, pl man pages
- release 12

Revision 1.18  2001/11/06 09:17:41  kloczek
- added missing %description for BOOT subpackage.

Revision 1.17  2001/11/06 09:15:14  kloczek
- updated to 1.3.10 (release 11).

Revision 1.16  2001/11/03 16:49:20  blues
- URL updated
NOTE: there is 1.3.10 avaible

Revision 1.15  2001/08/23 17:31:31  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.14  2001/08/19 20:26:07  saq
- use %%_kernelsrcdir

Revision 1.13  2001/06/09 10:43:07  klakier
- added BOOT package

Revision 1.12  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.11  2000/09/08 05:00:41  kloczek
- release 15,
- merged fixman RH patch.

Revision 1.10  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.8  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.6  1999/12/02 11:38:59  kloczek
- bump release to 4 to allow upgrade from RH.

Revision 1.5  1999/11/19 14:58:34  pius
- changed version of libipfwc package to 0.2

Revision 1.4  1999/11/19 14:49:10  pius
- fixed Group in libipfwc package

Revision 1.3  1999/11/19 14:46:54  pius
- added libipfwc subpackage
- release 3

Revision 1.2  1999/08/19 18:08:11  kloczek
- release 2,
- removed ipchans-scripts (this can be packed into separated package as
  altermnativ tools set to firewall-init),
- added fill Source url's,
- more rpm macros.

Revision 1.1  1999/08/18 16:12:21  misiek
(almost) raw spec from Tornado

* Wed Jul 21 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- build for 1.3 PLD Linux

* Sun Sep 20 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [1.3.8-1d]
- translations modified for pl
- changed files permission
- build against glibc 2.1
- start at Ian Macdonald <ianmacd@xs4all.nl> spec
